package osa.attribute.atgrammar.grammar.symbols;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: </p>
 * <p>Company: </p>
 * @author not attributable
 * @version
 */

public class SpecialSymbol
  extends Symbol
  implements Cloneable
  {
  public SpecialSymbol(String symbol_name)
    {
    super(symbol_name);
    symbol_type=Symbol.SPECIAL_SYMBOL;
    is_cloned=false;
    original_reference=this;
    }

  public String toString()
    {
    return symbol_name.toString();
    }

  public Object clone()
    {
    return this;
    }
  }